For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Creates one or more shard keys for a specified collection.
Authentication
api-keystring
API Key authentication via header
Path parameters
collection_namestringRequired
Name of the collection to create shards for
Query parameters
timeoutintegerOptional
Wait for operation commit timeout in seconds.
If timeout is reached - request will return with service error.
Request
Shard key configuration
shard_keystring or uint64Required
shards_numberuint or nullOptional
How many shards to create for this key If not specified, will use the default value from config
replication_factoruint or nullOptional
How many replicas to create for each shard If not specified, will use the default value from config
placementlist of uint64s or nullOptional
Placement of shards for this key List of peer ids, that can be used to place shards for this key If not specified, will be randomly placed among all peers